
From: Kumar Gala <galak@freescale.com>

Back out previous patch to ppc idle that handled CPU's that did not have
powersavings.  Ingo's fixes to cpu_rest, cause this fix to no longer be
needed.

Signed-off-by: Kumar Gala <kumar.gala@freescale.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/kernel/idle.c |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

diff -puN arch/ppc/kernel/idle.c~ppc32-back-out-idle-patch-for-non-powersaving-cpus arch/ppc/kernel/idle.c
--- 25/arch/ppc/kernel/idle.c~ppc32-back-out-idle-patch-for-non-powersaving-cpus	2005-01-26 17:22:13.143925632 -0800
+++ 25-akpm/arch/ppc/kernel/idle.c	2005-01-26 17:22:13.147925024 -0800
@@ -41,17 +41,14 @@ void default_idle(void)
 	if (!need_resched()) {
 		if (powersave != NULL)
 			powersave();
-		else {
 #ifdef CONFIG_SMP
+		else {
 			set_thread_flag(TIF_POLLING_NRFLAG);
-			local_irq_enable();
 			while (!need_resched())
 				barrier();
 			clear_thread_flag(TIF_POLLING_NRFLAG);
-#else
-			local_irq_enable();
-#endif
 		}
+#endif
 	}
 	if (need_resched())
 		schedule();
_
